
QGIS Application - Bug report #21147

Crash

2019-01-31 11:50 PM - Richard Barnes

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.4.2 Regression?: No

Operating System: Win 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28965

Description

Crashed while trying to save project and close.

Crash ID: f416194fc317a121bf6df37d44f238ef7c9880bb

Stack Trace

QWidget::mapTo :

QgsFloatingWidget::onAnchorPointChanged :

QMetaObject::activate :

QgsFloatingWidget::QgsFloatingWidget :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processGeometryChangeEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QWindowSystemInterface::flushWindowSystemEvents :

CallWindowProcW :

CallWindowProcW :

IsWindowVisible :

KiUserCallbackDispatcher :

NtUserDispatchMessage :

DispatchMessageW :

CoWaitForMultipleHandles :

CoWaitForMultipleHandles :

CoWaitForMultipleHandles :

CoWaitForMultipleHandles :

CoCreateFreeThreadedMarshaler :

CoWaitForMultipleHandles :

CoCreateFreeThreadedMarshaler :

WindowsCompareStringOrdinal :

Ndr64AsyncClientCall :

CoGetApartmentType :
ObjectStublessClient32 :

RoGetActivationFactory :

RoGetActivationFactory :

QgsNative::trUtf8 :

QgsNative::trUtf8 :

QgisApp::~QgisApp :

CPLStringList::operator[] :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: 22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2019-02-01 10:29 AM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

- Category changed from Windows Package to Unknown

- Crashes QGIS or corrupts data changed from No to Yes

- Assignee deleted (Jürgen Fischer)

Please try with 3.4.4, and a new/clean profile.

Also describe in details the steps that lead to the crash, and possibly add a project with data that demonstrate the issue.

#2 - 2019-02-24 01:19 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to no timely feedback
